/* AIOS v2 Kernel Linker Script */

ENTRY(_start)

SECTIONS
{
    . = 1M;

    .multiboot :
    {
        /* Ensure the multiboot header is at the very beginning */
        KEEP(*(.multiboot))
    }

    .text : ALIGN(0x1000)
    {
        *(.text .text.*)
    }

    .rodata : ALIGN(0x1000)
    {
        *(.rodata .rodata.*)
    }

    .data : ALIGN(0x1000)
    {
        *(.data .data.*)
    }

    .bss : ALIGN(0x1000)
    {
        *(COMMON)
        *(.bss .bss.*)
    }
}